Subject: pkg/29868: pkgsrc kermit needs different target on darwin 10.3
To: None <,,>
From: Darrin B.Jewell <>
List: pkgsrc-bugs
Date: 04/03/2005 03:39:00
>Number:         29868
>Category:       pkg
>Synopsis:       pkgsrc kermit needs different target on darwin 10.3
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sun Apr 03 03:39:00 +0000 2005
>Originator:     Darrin B. Jewell
>Release:        pkgsrc-2005Q1

Darwin Quiteria 7.8.0 Darwin Kernel Version 7.8.0: Wed Dec 22 14:26:17 PST 2004; root:xnu/xnu-517.11.1.obj~1/RELEASE_PPC  Power Macintosh powerpc


The pkgsrc comms/kermit makefile specifies the "macosx10" target for darwin.
However, this does not compile on macos panther due to a bind incompatibility.

The kermit makefile does have a target "macosx103" which compiles on
darwin versions 10.3 and later.


Attempt to build pkgsrc comms/kermit on macos 10.3 or later.


The following patch against the pkgsrc-2005Q1 branch fixes the
problem by checking the darwin os version and setting the target

Index: pkgsrc/comms/kermit/Makefile
RCS file: /u3/n/rsync/cvsroot/pkgsrc/comms/kermit/Makefile,v
retrieving revision 1.59
diff -u -r1.59 Makefile
--- pkgsrc/comms/kermit/Makefile	21 Feb 2005 20:26:10 -0000	1.59
+++ pkgsrc/comms/kermit/Makefile	2 Apr 2005 03:42:09 -0000
@@ -77,7 +77,11 @@
 .if ${OPSYS} == "Darwin"
+.if empty(OS_VERSION:M[0-6]\.*)
+BUILD_TARGET=	macosx103
 BUILD_TARGET=	macosx10
 BUILD_TARGET=	netbsd+openssl
 .include "../../security/openssl/"